import 'dart:math';

import 'package:dabi/dabi.dart';
import 'package:test/test.dart';

class Person {
  String first;
  String last;
  List<String> emails;

  String toString() => '$first $last';
}

void main() {
  Person person = bind({
    'first': 'John',
    'last': 'Doe',
    'emails': ['info@mail']
  }, Person);

  test('bind Person with first, last and email', () {
    expect(person.first, equals('John'));
    expect(person.last, equals('Doe'));
    expect(person.emails, contains('info@mail'));
  });
}
